# This is the configuration file for the syswatch daemon
# ** no extra spaces please **
#------------------------------------------------------------------------------
# Per Device overrides are configurable.
# store the overides in  /etc/syswatch.d
# create a file with the  iface name
# example:  en0   -->   /etc/syswatch.d/en0
# configurable variables are
# arp_nud=disabled|enabled
# restart_static_connection=disabled|enabled
# ping_gateway=disabled|enabled
# ping_server1=8.8.8.8
# ping_server2=8.8.4.4
# ping_proto=udp|tcp|icmp
# ping_port=53
# ping_interval=2
# ping_timeout=1


# Debug
# -Debug syswatch
# Default: 0
#debug=1


# Connection type
# - values: dhcp, static, or pppoe

#conntype=dhcp


# Server type
# - values: gateway, onlan

#servtype=onlan


# Heartbeat
# - Number of times we ping between writing a "heartbeat" in the log file
# - default: 10

#heartbeat=10


# Retries
# - Number of times we should ping before we call the network "down"
# - default: 5

#retries=5


# Ping interval
# - Interval time (in seconds) between test pings
# - default: 60

#interval=60


# Failed interval
# - Time (in seconds) between pings when Internet is down
# - default: 15

#failed_interval=15


# Firewall
# - Command that restarts the firewall
# - default: "/etc/rc.d/init.d/firewall restart >/dev/null"

#firewall="/etc/rc.d/init.d/firewall restart >/dev/null"


# Ping servers
# - The syswatch daemon by default will just ping the next hop on the Internet
#   and another device.  You can override this with a comma separated list of
#   2 servers.

#ping_servers=111.222.333.444,555.666.777.888

# Ping Gateway
# - Ping the gatway  yes | no
# - default: yes
#try_pinging_gateway=no

# Ping Proto
# - What prototcal to used for ping
#   Valid values ( udp,tcp,icmp)
# - Default: icmp
#ping_proto=tcp

# Ping Port
# - Only used when Ping Proto is udp or tcp
# Default: 53
#ping_port=53

# Ping Time
# -Time in (s) before ping times out
# Default: 5
#ping_timeout=2
